# v4l2_ctrl_hevcdec_bufmetadata_ Struct Reference
[V4L2 Video Decoder]

Holds H.265 specific decoder metadata for the frame. More...

`#include <v4l2_nv_extensions.h>`

List of all members.

## Public Attributes

__u32 | nPocLsbBits
| Number of bits in the frame.
__u32 | FrameType
| Type of frame: 0 = B 1 = P 2 = I.
v4l2_ctrl_videodec_dpbinfometadata | dpbInfo
| Current DPB info of the decoder.

## Detailed Description

Holds H.265 specific decoder metadata for the frame.

Definition at line 912 of file v4l2_nv_extensions.h.

## Member Data Documentation

v4l2_ctrl_videodec_dpbinfometadata v4l2_ctrl_hevcdec_bufmetadata_::dpbInfo

Current DPB info of the decoder.

Definition at line 922 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_hevcdec_bufmetadata_::FrameType

Type of frame: 0 = B 1 = P 2 = I.

Definition at line 920 of file v4l2_nv_extensions.h.

__u32 v4l2_ctrl_hevcdec_bufmetadata_::nPocLsbBits

Number of bits in the frame.

Definition at line 915 of file v4l2_nv_extensions.h.

The documentation for this struct was generated from the following file:

- include/v4l2_nv_extensions.h